/*
* ==============================================================================
*  Name        : LbsPositionListener.h
*  Part of     : LBSReference example application
*  Interface   : 
*  Description : Position listener interface
*  Version     : 1.0
*
*  Copyright (c) 2005-2006 Nokia Corporation.
*  This material, including documentation and any related 
*  computer programs, is protected by copyright controlled by 
*  Nokia Corporation.
* ==============================================================================
*/

#ifndef LBSPOSITIONLISTENER_H
#define LBSPOSITIONLISTENER_H

#include <lbsSatellite.h>

class TPositionInfo;
class TPositionSatelliteInfo;

/**
*   Position data listener interface listens position information.
*   It can also be used to transfer error messages and codes.
*/
class MLbsPositionListener
    {
    public:

        virtual void LbsPositionInfoUpdatedL(TPositionInfo& aPosInfo) = 0;
        virtual void LbsShowErrorL(const TDesC& aErrorString) = 0;
        virtual void LbsShowMessageL(const TDesC& aMessage) = 0;
        virtual void LbsCancelling(void) = 0;
        virtual void LbsCancelled(void) = 0;
        
    };

#endif //LBSPOSITIONLISTENER_H


// End of File
