
/*
 * Copyright Justin Armstrong 2004-2009. 
 *
 * This file is part of the application "Weather"
 * 
 * "Weather" is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Weather is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */


#ifndef BITMAPLABEL_H
#define BITMAPLABEL_H

#include <coecntrl.h>
#include <coeccntx.h>
#include <aknappui.h>
#include <eikapp.h>
#include <eiklabel.h>
#include "constants.h"


class CBitmapLabel : public CCoeControl  
    {
    public:

    CBitmapLabel();
    virtual ~CBitmapLabel();


    void ConstructL(const CFont* aFont, const TDesC& aString, TUint aWidth, TInt aBitmapId);
    void ConstructL(CFbsBitmap* aBitmap, CFbsBitmap* aMask);

    
    TSize MinimumSize();
    
    /**
    * From CoeControl,SizeChanged.
    */
    void SizeChanged();
    
    /**
    * From CoeControl,CountComponentControls.
    */
    TInt CountComponentControls() const;
    
    /**
    * From CCoeControl,ComponentControl.
    */
    CCoeControl* ComponentControl(TInt aIndex) const;
    
    /**
    * From CCoeControl,Draw.
    */
    void Draw(const TRect& aRect) const;

    void SetContainerWindowL(const CCoeControl& aContainer);
    

    private:

    //CFbsBitmap* iBgBitmap;
    //CFbsBitmap* iBgMask;
        
    TBuf<200> iString;
    CFbsBitmap* iBitmap;
    CFbsBitmap* iMask;
    const CFont* iFont;

    CArrayFixSeg<TPtrC>* iWrappedTextArray;

    };

#endif
