/* Copyright (c) 2001, Nokia Mobile Phones. All rights reserved */

/*
 * Copyright Justin Armstrong 2004. 
 *
 * This file is part of the application "Weather"
 * 
 * "Weather" is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Weather is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */


#ifndef __SOCKETSREAD_H__
#define __SOCKETSREAD_H__

#include <in_sock.h>
#include <eikapp.h>
#include <eikdoc.h>
#include <e32std.h>

#include "httpengine.h"
#include "uinotify.h"


class CHttpRead : public CActive
{
public:

    static CHttpRead* NewL(MHttpNotify& aConsole, CHttpEngine& aEngine, RSocket& aSocket);
    ~CHttpRead();
    void Start();

    
protected: // from CActive

    void DoCancel();
    void RunL();    
    void ProcessResponse();
    


private:

    CHttpRead(MHttpNotify& aConsole, CHttpEngine& aEngine, RSocket& aSocket);
    void ConstructL();

    TInt ExtractLine(TPtrC aBuffer, TPtrC& aLine);
    void IssueRead();

private: // Member variables
    enum { KReadBufferSize = 2048, KTempBufferSize = 32 };

    // Member variables
    RSocket&         iSocket; // socket to read data from
    MHttpNotify&     iNotify;
    CHttpEngine&     iEngine;


    TBuf<KReadBufferSize>  iReadBuffer16;
    TBuf8<KTempBufferSize>  iTempBuffer8;
    TBuf<KTempBufferSize>  iTempBuffer16;

    TInt iResponseCode;
    TPtrC iContentType;
    TPtrC iBody;
    

    TSockXfrLength          iDummyLength; // dummy - length of data read is written here
};

#endif // __SOCKETSREAD_H__

