/*
 * Copyright Justin Armstrong 2008. 
 *
 * This file is part of the application "Weather"
 * 
 * "Weather" is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Weather is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
#ifndef LOCATION_CONTAINER_H_
#define LOCATION_CONTAINER_H_

#include <coecntrl.h>
#include <coeccntx.h>
#include <aknappui.h>
#include <eiksbfrm.h>
#include <eiksbobs.h>
#include <eikapp.h>
#include <eiklbo.h>

#include "location.h"

class CLocationContainer : public CCoeControl
    {
public:
    CLocationContainer();
    virtual ~CLocationContainer();
    void ConstructL(const TRect& aRect);
    
public: // New functions
    void SetLocation(CLocation* aLocation);

    
public: // Functions from base classes

    void HandleResourceChange(TInt aType);
    //TKeyResponse OfferKeyEventL(const TKeyEvent& aKeyEvent, TEventCode aType);
    
     void SizeChanged();    
     
     /**
      * From CoeControl,CountComponentControls.
      */
      TInt CountComponentControls() const;

     /**
      * From CCoeControl,ComponentControl.
      */
      CCoeControl* ComponentControl(TInt aIndex) const;

     /**
      * From CCoeControl,Draw.
      */
      void Draw(const TRect& aRect) const;     
     
     TTypeUid::Ptr MopSupplyObject(TTypeUid aId);    
     
private:
    void AddRowL(const TDesC& aLabel, const TDesC& aValue);
    void GetDegreesString(const TReal64& aDegrees, TDes& aDegreesString) const;
     
     
private:
    CAknsBasicBackgroundControlContext* iBgContext;
    //CAknFormDoubleStyleListBox* iListBox;
    CAknSingleHeadingStyleListBox* iListBox;
    CDesCArray* iItemArray;
    
    HBufC* iIcaoHeading;
    HBufC* iCountryHeading;
    HBufC* iLatitudeHeading;
    HBufC* iLongitudeHeading;

    };

#endif /* LOCATION_CONTAINER_H_ */
