
/*
 * Copyright Justin Armstrong 2004. 
 *
 * This file is part of the application "Weather"
 * 
 * "Weather" is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Weather is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */


#ifndef STRINGINTDICT_H
#define STRINGINTDICT_H

#include <aknapp.h>
#include <barsread.h> 


enum TStringIntFindStatus
    {
    ETupleNotFound = -1
    };


class CStringIntTuple : public CBase  
    {
public:
    CStringIntTuple();
    virtual ~CStringIntTuple();

    void ConstructL(TResourceReader& aReader);

    static CStringIntTuple* NewLC(TResourceReader& aReader);

public:
    HBufC*   iString;
    TInt    iInt;

    };



class CStringIntDict : public CBase  
    {
public:
    CStringIntDict();
    virtual ~CStringIntDict();

    void ConstructL(TResourceReader& aReader);

    static CStringIntDict* NewLC(TResourceReader& aReader);



    HBufC* GetStringForInt(TInt aInt);
    TInt GetIntForString(TPtrC aName);

private:
    CArrayPtrFlat<CStringIntTuple>* iStringIntArray;
    };





#endif
