
/*
 * Copyright Justin Armstrong 2004-2009. 
 *
 * This file is part of the application "Weather"
 * 
 * "Weather" is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Weather is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */

#ifndef USERSETTINGSDIALOG_H
#define USERSETTINGSDIALOG_H


#include <eikapp.h>
#include <eikdoc.h>
#include <e32std.h>
#include <coeccntx.h>
#include <coecntrl.h>
#include <aknappui.h>
#include <akndialog.h> 
#include <aknview.h>
#include <aknslider.h> 
#include <barsread.h>
#include <aknform.h>
#include <eiklbo.h>

#include <weather.rsg>
#include "weather.hrh"


#include "usersettingslist.h"
#include "weatherappui.h"

class CWeatherAppUi;
class CUserSettingsList;


class CUserSettingsDialog : public CAknDialog  
    {
    public:
        CUserSettingsDialog(CWeatherAppUi* aAppUi);
        void ConstructL();

        virtual ~CUserSettingsDialog();

        virtual void ActivateL();

        TInt CountComponentControls() const;
        CCoeControl* ComponentControl(TInt aIndex) const;

        TKeyResponse OfferKeyEventL(const TKeyEvent& aKeyEvent,
                                    TEventCode aType );

        virtual TBool OkToExitL( TInt aKeycode);

    private:
        CUserSettingsList* iListBox;
        CEikLabel* iLabel;
        CWeatherAppUi* iAppUi;

    };

#endif 
