
/*
 * Copyright Justin Armstrong 2004-2009. 
 *
 * This file is part of the application "Weather"
 * 
 * "Weather" is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Weather is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */


#ifndef WEATHERPARSER_H
#define WEATHERPARSER_H

#include <aknapp.h>
#include <aknappui.h>
#include <e32def.h>

#include "stringintdict.h"
#include "weatherinfo.h"


class CWeatherParser : public CBase  
    {
    public:

    static CWeatherParser* NewL(CCoeEnv* aCoeEnv);

	CWeatherParser();
	virtual ~CWeatherParser();

    void ConstructL(CCoeEnv* aCoeEnv);

    CWeatherInfo* ParseReportL(const TDesC& aMetarData);

    private:

    TBool ParseDateAndTime(const TDesC& aDateParam);

    TCompassDirection CompassDirection(TInt degrees);
    TBool ParseWind(const TDesC& aWindString);
    
    TBool ParseModifier(const TDesC& aModParam);

    TBool ParseCloudCover(const TDesC& aCloudString);
    
    TBool ParseTemp(const TDesC& atempString);

    TBool ParseCondition(const TDesC& aConditionString);    
    
    TBool ParsePressure(const TDesC& aPressureParam);

    TBool ParseVisibilty(const TDesC& aVisParam);

    TBool ParseTrend(const TDesC& aTrendParam);
    
    CWeatherInfo* iWeatherReport;


    TPhenomenonTrend iTrend;
    
    CStringIntDict* iPhenomenonDict;
    CStringIntDict* iCloudDict;
    CStringIntDict* iModifierDict;

    };

#endif
