

// INCLUDE FILES
#include <aknviewappui.h>
#include <aknconsts.h>
#include <aknutils.h> 

#include "locationviewcontroller.h"
//#include "locationcontainer.h"
#include "constants.h"
#include "weather.hrh"

// ========================= MEMBER FUNCTIONS ==================================

// -----------------------------------------------------------------------------
// CLocationViewController::CLocationViewController()
// C++ default constructor can NOT contain any code, that might leave.
// -----------------------------------------------------------------------------
//
CLocationViewController::CLocationViewController() : iLocation(NULL)
    {
    // No implementation required
    }


// -----------------------------------------------------------------------------
// CLocationViewController::NewL()
// Two-phased constructor.
// -----------------------------------------------------------------------------
//
CLocationViewController* CLocationViewController::NewL()
    {
    CLocationViewController* self = CLocationViewController::NewLC();
    CleanupStack::Pop( self );
    return self;
    }

// -----------------------------------------------------------------------------
// CLocationViewController::NewLC()
// Two-phased constructor.
// -----------------------------------------------------------------------------
//
CLocationViewController* CLocationViewController::NewLC()
    {
    CLocationViewController* self = new ( ELeave ) CLocationViewController();
    CleanupStack::PushL( self );
    self->ConstructL();
    return self;
    }

// -----------------------------------------------------------------------------
// CLocationViewController::ConstructL()
// Symbian 2nd phase constructor can leave.
// -----------------------------------------------------------------------------
//
void CLocationViewController::ConstructL()
    {
    BaseConstructL(R_LOCATION_VIEW);
    }

// -----------------------------------------------------------------------------
// CLocationViewController::~CLocationViewController()
// Destructor.
// -----------------------------------------------------------------------------
//
CLocationViewController::~CLocationViewController()
    {
    // No implementation required
    }

// -----------------------------------------------------------------------------
// CLocationViewController::Id()
// Returns View's ID.
// -----------------------------------------------------------------------------
//
TUid CLocationViewController::Id() const
    {
    return TUid::Uid( ELocationViewId );
    }

// -----------------------------------------------------------------------------
// CLocationViewController::DoActivateL()
// Activate an MultiView1
// -----------------------------------------------------------------------------
//
void CLocationViewController::DoActivateL( const TVwsViewId& /*aPrevViewId*/,
                                    TUid /*aCustomMessageId*/,
                                    const TDesC8& /*aCustomMessage*/)
    {
    iContainer = new (ELeave) CLocationContainer();
    iContainer->SetMopParent(this);
    iContainer->ConstructL( ClientRect() );
    AppUi()->AddToStackL(iContainer);
    iContainer->SetLocation(iLocation);
    }

// -----------------------------------------------------------------------------
// CLocationViewController::DoDeactivate()
// DeActivate an MultiView1
// -----------------------------------------------------------------------------
//
void CLocationViewController::DoDeactivate()
    {

    if ( iContainer )
        {
        // Remove View1's container form controllStack
        AppUi()->RemoveFromStack( iContainer );
        delete iContainer;
        iContainer = NULL;
        }
    }

// -----------------------------------------------------------------------------
// CLocationViewController::HandleCommandL()
// Takes care of Command handling.
// -----------------------------------------------------------------------------
//
void CLocationViewController::HandleCommandL( TInt aCommand )
    {

    switch(aCommand)
        {
        case EAknSoftkeyBack:
            AppUi()->ActivateLocalViewL( TUid::Uid(EWeatherViewId) );
            break;
        }

    }

void CLocationViewController::DynInitMenuPaneL(TInt aResourceId,CEikMenuPane* aMenuPane)
    {
    AppUi()->DynInitMenuPaneL(aResourceId, aMenuPane);
    }

// -----------------------------------------------------------------------------
// CLocationViewController::HandleSizeChange()
// Called by HandleResourceChangeL() from CMultiViewsAppUi when layout is 
// changed.
// -----------------------------------------------------------------------------
//
void CLocationViewController::HandleSizeChange( TInt aType )
    {
    if( iContainer )
        {
        iContainer->HandleResourceChange( aType );
        
        if ( aType==KEikDynamicLayoutVariantSwitch )
            {        
            TRect rect;
            AknLayoutUtils::LayoutMetricsRect(AknLayoutUtils::EMainPane, rect);
            }
        }         
    }
    

void CLocationViewController::SetLocation(CLocation* aLocation)
    {
    iLocation = aLocation;
    if (iContainer)
        {
        iContainer->SetLocation(aLocation);
        }
    }

// End of File
