
/*
 * Copyright Justin Armstrong 2004-2009. 
 *
 * This file is part of the application "Weather"
 * 
 * "Weather" is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Weather is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */


#include "usersettingslist.h"

#include <weather.rsg>
#include "weather.hrh"


CUserSettingsList::CUserSettingsList()
    {
    }


CAknSettingItem* CUserSettingsList::CreateSettingItemL( TInt aIdentifier )
    {
    CAknSettingItem* settingItem = NULL;
    RDebug::Print(_L("!!! CUserSettingsList::CreateSettingItemL %d"), aIdentifier);


    RDebug::Print(_L("globals %x"), GLOBALS);

    switch (aIdentifier)
    {

    case ETempUnitsSettingItemId:
        settingItem =  new (ELeave) 
            CAknEnumeratedTextPopupSettingItem(aIdentifier, GLOBALS->iSettings.iTempUnits );
        break;
    case ESpeedUnitsSettingItemId:
        settingItem =  new (ELeave) 
            CAknEnumeratedTextPopupSettingItem(aIdentifier, GLOBALS->iSettings.iSpeedUnits);
        break;

    case EDistanceUnitsSettingItemId:
        settingItem =  new (ELeave) 
            CAknEnumeratedTextPopupSettingItem(aIdentifier, GLOBALS->iSettings.iDistanceUnits);
        break;

    case ECloudReportsSettingItemId:
        settingItem =  new (ELeave) 
            CAknEnumeratedTextPopupSettingItem(aIdentifier, GLOBALS->iSettings.iDetailedCloudReports);
        break;

    case EUseProxyBinaryId:
        settingItem =  new (ELeave) 
            CAknBinaryPopupSettingItem(aIdentifier, GLOBALS->iSettings.iUseProxy);
        break;

    case EProxyServerIpAddressId:
        settingItem =  new (ELeave) 
            CAknIpFieldSettingItem(aIdentifier, GLOBALS->iSettings.iProxyIpAddress);
        break;

    case EProxyServerPortId:
        settingItem =  new (ELeave) 
            CAknIntegerEdwinSettingItem(aIdentifier, GLOBALS->iSettings.iProxyPort);
        break;


    default:
        ASSERT(FALSE);
        break;
        }


    RDebug::Print(_L("settingItem %x created ok"), settingItem);
    return settingItem;
    }

void CUserSettingsList::UpdateUserL()
    {
    StoreSettingsL();
    }


void CUserSettingsList::SizeChanged()
    {
    if (ListBox()) 
        {
        ListBox()->SetRect(Rect());
        }
    }
