
/*
 * Copyright Justin Armstrong 2004-2009. 
 *
 * This file is part of the application "Weather"
 * 
 * "Weather" is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Weather is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */

// INCLUDE FILES
#include <eikstart.h>
#include    "weatherapp.h"
#include    "weatherdocument.h"


// ================= MEMBER FUNCTIONS =======================

// ---------------------------------------------------------
// CWeatherApp::AppDllUid()
// Returns application UID
// ---------------------------------------------------------
//
TUid CWeatherApp::AppDllUid() const
    {
    return KUidweather;
    }

// ---------------------------------------------------------
// CDictionaryStore* CWeatherApp::OpenIniFileLC(RFs& aFs) const
// overrides CAknApplication::OpenIniFileLC to enable INI file support
// ---------------------------------------------------------
//
CDictionaryStore* CWeatherApp::OpenIniFileLC(RFs& aFs) const
{
    return CEikApplication::OpenIniFileLC(aFs);
}
   
// ---------------------------------------------------------
// CWeatherApp::CreateDocumentL()
// Creates CWeatherDocument object
// ---------------------------------------------------------
//
CApaDocument* CWeatherApp::CreateDocumentL()
    {
    return CWeatherDocument::NewL( *this );
    }

// ================= OTHER EXPORTED FUNCTIONS ==============
//
// ---------------------------------------------------------
// NewApplication() 
// Constructs CWeatherApp
// Returns: created application object
// ---------------------------------------------------------
//
EXPORT_C CApaApplication* NewApplication()
    {
    return new CWeatherApp;
    }


GLDEF_C TInt E32Main()
    {
    return EikStart::RunApplication( NewApplication );
    }

// ---------------------------------------------------------
// E32Dll(TDllReason) 
// Entry point function for EPOC Apps
// Returns: KErrNone: No error
// ---------------------------------------------------------
//
/*
GLDEF_C TInt E32Dll( TDllReason )
    {
    return KErrNone;
    }
*/
// End of File  

