/*
 * Copyright Justin Armstrong 2004. 
 *
 * This file is part of the application "Weather"
 * 
 * "Weather" is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Weather is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */

// INCLUDE FILES
#include "weatherdocument.h"
#include "weatherappui.h"

// ================= MEMBER FUNCTIONS =======================

// constructor
CWeatherDocument::CWeatherDocument(CEikApplication& aApp)
: CAknDocument(aApp)    
    {
    }

// destructor
CWeatherDocument::~CWeatherDocument()
    {
    }

// EPOC default constructor can leave.
void CWeatherDocument::ConstructL()
    {
    }

// Two-phased constructor.
CWeatherDocument* CWeatherDocument::NewL(
        CEikApplication& aApp)     // CWeatherApp reference
    {
    CWeatherDocument* self = new (ELeave) CWeatherDocument( aApp );
    CleanupStack::PushL( self );
    self->ConstructL();
    CleanupStack::Pop();

    return self;
    }
    
// ----------------------------------------------------
// CWeatherDocument::CreateAppUiL()
// constructs CWeatherAppUi
// ----------------------------------------------------
//
CEikAppUi* CWeatherDocument::CreateAppUiL()
    {
    return new (ELeave) CWeatherAppUi;
    }

// End of File  
